.user-item .user-bg {
    flex-direction: column;
    height: 400px;
    overflow: hidden;
}
.user-item .media-user, .user-item .user-info {
    height: 50%;
    width: 100%;
}
.user-item .media-ratio-box img {
    height: 100%;
    object-fit: cover;
}
.user-item .user-info {
    box-sizing: border-box;
}
.user-info .user-name {
    font-weight: bold;
    margin-bottom: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.user-info .rating {
    color: #f1c40f;
    margin-bottom: 5px;
}
.user-info .location, .languages {
    font-size: 14px;
    color: #666;
    margin-bottom: 5px;
}
.user-info .message-btn {
    display: block;
    width: 100%;
    padding: 8px;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 4px;
    text-align: center;
    font-size: 14px;
    transition: background-color 0.3s;
    text-decoration: none;
}
.user-info .message-btn:hover {
    background-color: #f5f5f5;
}
.user-info .heart-icon {
    text-align: right;
    margin-bottom: 5px;
}
.user-info .heart-icon svg {
    width: 20px;
    height: 20px;
    cursor: pointer;
}